/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

.pill-style {
  display: flex;
  max-width: 100%;
  overflow: auto;
  margin-top: 15px;

  &:first-of-type {
    margin-top: 0;
  }

  .pill-content {
    display: flex;
    align-items: flex-start;
    width: 100%;
    border-radius: 25px;
    padding: 3px 0;

    &.red {
      .pill-label {
        background: $color-red-01;
      }

      .pill-value:before {
        border-color: $color-red-01;
        pointer-events: none;
      }
    }

    &.green {
      .pill-label {
        background: $color-green-01;
      }

      .pill-value:before {
        border-color: $color-green-01;
        pointer-events: none;
      }
    }

    &.orange {
      .pill-label {
        background: $color-orange-01;
      }

      .pill-value:before {
        border-color: $color-orange-01;
        pointer-events: none;
      }
    }

    &.purple {
      .pill-label {
        background: $color-purple-02;
      }

      .pill-value:before {
        border-color: $color-purple-02;
        pointer-events: none;
      }
    }

    .pill-label {
      padding: 3px 8px 3px 10px;
      background: $color-grey-06;
      border-radius: 25px 0 0 25px;
      text-align: center;
      font-weight: bold;
      color: $color-white-01;
    }

    .pill-value {
      position: relative;
      max-width: 100%;
      min-width: 112px;
      width: 100%;
      padding: 0 10px 0 0;

      span {
        scroll-snap-type: x mandatory;
      }

      .simple {
        font-weight: bold;
        scroll-snap-align: end;
      }

      &:before {
        content: "";
        position: absolute;
        display: inline-block;
        width: 100%;
        height: 26px;
        top: 0;
        left: 0;
        border-top: 1px solid $color-grey-06;
        border-right: 1px solid $color-grey-06;
        border-bottom: 1px solid $color-grey-06;
        border-left: none;
        border-radius: 0 25px 25px 0;
      }

      > span {
        display: block;
        width: 100%;
        max-width: 100%;
        padding: 3px 0 3px 10px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        cursor: pointer;

        &.w-copy {
          width: calc(100% - 31px);
          padding: 3px 10px;
        }
      }

      .copy {
        width: 30px;
        height: calc(100% - 2px);
        color: $color-white-01;
        text-align: center;
        background: $color-blue-02;
        border: 0;
        border-radius: 0 25px 25px 0;
        transition: opacity $duration;
        cursor: pointer;
        padding: 0;
        position: absolute;
        top: 1px;
        right: 1px;

        &:hover,
        &:focus {
          opacity: .8;
        }
      }
    }
  }
}
